#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#pragma GCC optimize("Ofast")

using namespace std;
using namespace __gnu_pbds;
using ll = long long;
using ld = long double;

#define min(a, b) (a < b) ? a : b
#define max(a, b) (a < b) ? b : a

ll inf = (ll)1e18;
template<class T>
ll len(T& a) {
    return (ll)a.size();
}

void solve() {
    ll n, k;
    cin >> n >> k;

    vector<ll> a(n);
    for (ll i = 0; i < n; ++i) {
        cin >> a[i];
    }

    ll res = 0;
    for (ll i = 0; i < k; ++i) {
        res += a[i];
    }
    res += n;

    cout << res << "\n";
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);

    solve();

    return 0;
}